import React from 'react';
import type { IPodNameProvider } from '../PodNameProvider';
import type { IInstanceMultiOutputLog } from '../../instance/InstanceReader';
export interface IJobManifestPodLogsProps {
    account: string;
    location: string;
    linkName: string;
    podNamesProviders: IPodNameProvider[];
}
export interface IJobManifestPodLogsState {
    containerLogs: IInstanceMultiOutputLog[];
    showModal: boolean;
    selectedContainerLog: IInstanceMultiOutputLog;
    errorMessage: string;
    loadingLogs: boolean;
}
export declare class JobManifestPodLogs extends React.Component<IJobManifestPodLogsProps, IJobManifestPodLogsState> {
    private ansiUp;
    constructor(props: IJobManifestPodLogsProps);
    private canShow;
    private resourceRegion;
    private podName;
    close(): void;
    open(): void;
    onClick(): void;
    selectLog(log: IInstanceMultiOutputLog): void;
    render(): JSX.Element;
}
